summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCiaran McCreesh <ciaranm@gentoo.org>2005-12-07 17:53:25 +0000
committerCiaran McCreesh <ciaranm@gentoo.org>2005-12-07 17:53:25 +0000
commit6f0aa2e4a8c66370ffb4110a1d6ea71d3418dee7 (patch)
tree218c5ddbe51b9c34b9e8d5153ddd61ec433f14c2 /eclass/vim-doc.eclass
parentFix insinfo / insinto typo in all versions. Version bump (bug #105443), dropp... (diff)
downloadhistorical-6f0aa2e4a8c66370ffb4110a1d6ea71d3418dee7.tar.gz
historical-6f0aa2e4a8c66370ffb4110a1d6ea71d3418dee7.tar.bz2
historical-6f0aa2e4a8c66370ffb4110a1d6ea71d3418dee7.zip
Try to avoid sandbox violations thanks to silly glib misfeature. Bug #114475
Diffstat (limited to 'eclass/vim-doc.eclass')
-rw-r--r--eclass/vim-doc.eclass10
1 files changed, 9 insertions, 1 deletions
diff --git a/eclass/vim-doc.eclass b/eclass/vim-doc.eclass
index c30212df5d38..7b13cdad0ee5 100644
--- a/eclass/vim-doc.eclass
+++ b/eclass/vim-doc.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim-doc.eclass,v 1.9 2005/07/06 20:23:20 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim-doc.eclass,v 1.10 2005/12/07 17:53:25 ciaranm Exp $
#
# This eclass is used by vim.eclass and vim-plugin.eclass to update
# the documentation tags. This is necessary since vim doesn't look in
@@ -32,6 +32,13 @@ update_vim_helptags() {
fi
fi
+ # Make vim not try to connect to X. See :help gui-x11-start
+ # in vim for how this evil trickery works.
+ if ! [[ -z "${vim}" ]] ; then
+ ln -s "${vim}" "${T}/tagvim"
+ vim="${T}/tagvim"
+ fi
+
# Install the documentation symlinks into the versioned vim
# directory and run :helptags
for d in /usr/share/vim/vim[0-9]*; do
@@ -62,6 +69,7 @@ update_vim_helptags() {
'+set nobackup nomore' \
"+helptags $d/doc" \
'+qa!' </dev/null &>/dev/null
+ rm "${vim}"
fi
done
}